### php.java.bridge

# Class MethodCache

- `java.lang.Object`

- `php.java.bridge.MethodCache`

`public class MethodCache`
`extends java.lang.Object`

Cache [(object, method, parameters) -> Method] mappings. No synchronization, so use this class per thread or per request only.

## Nested Class Summary

`static class`

`MethodCache.Entry`
  A cache entry carrying the method name, class and the parameters

## Method Summary

`java.lang.reflect.Method`

`get(MethodCache.Entry entry)`
  Get the method for the entry

`MethodCache.Entry`

`getEntry(java.lang.String name, java.lang.Class clazz, args[] )`
  Get a cache entry from a name, class and arguments.

`void`

`put(MethodCache.Entry entry, java.lang.reflect.Method method)`
  Store a constructor with an entry

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### get

    public java.lang.reflect.Method get(MethodCache.Entry entry)

> Get the method for the entry

> Parameters:
>   `entry` - The entry

> Returns:
>   The method

### getEntry

    public MethodCache.Entry getEntry(java.lang.String name,
                                      java.lang.Class clazz,
                                      args[] )

> Get a cache entry from a name, class and arguments.

> Parameters:
>   `name` - The method name
>   `clazz` - The class

> Returns:
>   A cache entry.

### put

    public void put(MethodCache.Entry entry,
                    java.lang.reflect.Method method)

> Store a constructor with an entry

> Parameters:
>   `entry` - The cache entry
>   `method` - The method